Main Content

System Requirements for Using MATLAB Interface to .NET

The MATLAB® interface to .NET is available on the Windows® platform only.

You must have the Microsoft® .NET Framework installed on your system.

The MATLAB interface requires the .NET Framework Version 4.0 and above. The interface continues to support assemblies built on Framework 2.0 and above. To determine if your system has the supported framework, use the NET.isNETSupported function.

To use a .NET application, refer to your vendors product documentation for information about how to install the program and for details about its functionality.

MATLAB Configuration File

MATLAB provides a configuration file, MATLAB.exe.config, in your matlabroot/bin/64 folder. With this file, MATLAB loads the latest core assemblies available on your system. You can modify and use the configuration file at your own risk. For additional information on elements that can be used in the configuration file, visit the Configuration File Schema for the .NET Framework website at https://docs.microsoft.com/en-us/dotnet/framework/configure-apps/file-schema/index.

Related Topics